<?php
require_once "../../core_factory.php";
$lang_has_changed = Logaholic_hasLangChanged();
$lang = Logaholic_setLang();
$tutorial_settings = array(
	"Name" => ucwords(_REPORTS)
	,"Intro" => "<p>" . _TUTORIAL_REPORTS_INTRO . "</p>"
	,"End" => _TUTORIAL_REPORTS_END
);
?>
// <script>

var speed = 5000;
var tutorial_settings = <?php echo json_encode($tutorial_settings); ?>;
var tutorial_config;
var step_1_2;

// We must add the script in a function to evade problems with activation
function SetTutorialConfig(){
	if($("#report_area_extension").is(":visible") == true){ 
		step_1_2 = [
			{
				"target_class" 	: "report-category[rel='_VISITOR_DETAILS']",
				"text"			: "<?php echo _TUTORIAL_REPORTS_STEP_2; ?>",
				"position"		: "B",
				"time" 			: speed
			}
		];
	} else {
		step_1_2 = [
			{
				"target_class"	: "summon-reports",
				"position"		: "T",
				"text"			: "<?php echo _TUTORIAL_REPORTS_STEP_1; ?>",
				"time" 			: speed
			},
			{
				"target_class" 	: "report-category[rel='_VISITOR_DETAILS']",
				"text"			: "<?php echo _TUTORIAL_REPORTS_STEP_2; ?>",
				"position"		: "B",
				"time" 			: speed,
				"startcall"		: function(){
					$(".summon-reports").click();
				}
			}
		];
	}

	tutorial_config = step_1_2;
	tutorial_config.push(
		{
			"target_class" 	: "report_icon[type='_VISITORS_PER_DAY']",
			"text"			: "<?php echo _TUTORIAL_REPORTS_STEP_3; ?>",
			"position"		: "L",
			"time" 			: speed
		},
		{
			"target_class" 	: "report_options",
			"text"			: "<?php echo _TUTORIAL_REPORTS_STEP_4; ?>",
			"position"		: "L",
			"time" 			: speed,
			"startcall" 	: function(){
				$(".report_icon[type='_VISITORS_PER_DAY']").click();
			}
		},
		{
			"target_class" 	: "form_buttons",
			"text"			: "<?php echo _TUTORIAL_REPORTS_STEP_5; ?>",
			"position"		: "TL",
			"time" 			: speed		
		},
		{
			"target_class" 	: "workbar_grid",
			"text"			: "<?php echo _TUTORIAL_REPORTS_STEP_6; ?>",
			"position"		: "CL",
			"time" 			: speed,
			"startcall" 	: function(){
				$("#addToDashboardAndClose").click();
			}
		},
		{
			"target_class" 	: "workbar_grid",
			"text"			: "<?php echo _TUTORIAL_REPORTS_STEP_7; ?>",
			"position"		: "LT",
			"time" 			: speed		
		}
	);
}

// </script>