<?php
/* Logaholic Web Analytics software             Copyright(c) 2005-2013 Logaholic B.V.
 *                                                               All rights Reserved.
 * This code is subject to the Logaholic license. Unauthorized copying is prohibited.
 * support@logaholic.com                         http://www.logaholic.com/License.txt
*/ 
$dont_close_session = true;

include_once "../common.inc.php";
AccessCheck();

if(isset($_REQUEST['mail'])){
	include_once "emailalerts.php";
	$mail = new EmailAlerts();
	$data['email'] = $_REQUEST['mail'];
	$data['emailinterval'] = 'Daily';
	$data['conf'] = $_REQUEST['conf'];
	$data['reports'] = array();	
	$data['infographics'] = "on";	
	$mail->storeAlert($data);	
	echo "<script type='text/javascript'>$(document).ready( function(){  $('#profileactiveNotice').dialog('close'); window.location.reload(); });</script>";
	exit;
}


function activateProfile(){
	global $profile;
	if(isset($_GET['act'])) {
		if($_GET['act'] == 'activate'){
			$profile->activated = 1;
			$profile->Save();
			return true;
		}		
	}
	return false;
}

if($validUserRequired && (getGlobalSetting("ToggleEmailAlerts",1) == 0)) {
	if(!$session->isAdmin()){
		# user is not admin so checking other stuff..			
		if(!$session->canEditProfiles()) {
			# this user can not edit profiles so tell him to he cant activate the profile.
			echo "You don't have permission to activate this profile: <b>{$profile->profilename}</b><br/>";
			exit;
		}
		if (activateProfile()==true) {
			if(!$session->canUpdateLogs()) {			
				# this user can update this profile so it is the same as admin rights
				echo "You have activated profile: <b>{$profile->profilename}</b><br/>";
				echo "Your log data will be processed automatically soon. You won't see any statistics until this has completed.";
				exit;
			}
		}		
	}
}

activateProfile();
echoNotice("You have activated profile (<b>{$profile->profilename}</b>).<br/>You can now start updating this profile.");
echo "<div style='margin:40px 70px;'>";
echo "Would like to receive a daily email with a summary of your site's statistics?<br/><br/>Please enter your email below.<br/>";
echo "<br/>Email: <input type='text' class='email' />";
echo "<br/><br/>";
echo "You can always change this at:<br/>Edit Profile -> Automation -> Email Alerts";
echo "<br/><br/>";
echo "<div style='width: 100px; float:left; padding-right:10px;' id='p-activate-send-mail'><a href='#'>Send</a></div>";
echo "<div style='width: 100px; float:left;' id='p-activate-cancel'><a href='#'>Skip</a></div>";
echo "</div>";
?>
<script type='text/javascript'>
$('#p-activate-send-mail').live('click', function(){
	$.ajax({
		url: "includes/profileactivation.php",
		data:{
			conf: '<?php echo $profile->profilename; ?>',
			mail: $('.email').attr('value')	
		},
		success: function(result) {
			$('#profileactiveNotice').html(result);
		}
	});
});
</script>