<?php
require_once "../../core_factory.php";
$lang_has_changed = Logaholic_hasLangChanged();
$lang = Logaholic_setLang();

$intro_message = _TUTORIAL_SHOWS_YOU .": 
	<ul>
		<li>". _HOW_TO_OPEN_REPORTS_AND_DASH ."</li>
		<li>". _HOW_TO_SAVE_REPORTS_AND_DASH ."</li>
	</ul>
	" . _NO_ACTION_DURING_TUT;

$tutorial_settings = array(
	"Name" => ucwords(_DASHBOARDS) . "  & " . ucwords(_REPORTS)
	,"Intro" => $intro_message
	,"End" => _TUTORIAL_REPORTS_END
	,"height" => "310px"
	,"min_height" => "90px"
);
?>
// <script>

var speed = 5000;
var tutorial_settings = <?php echo json_encode($tutorial_settings); ?>;
var tutorial_config;
var step_1_2;

// We must add the script in a function to evade problems with activation
function SetTutorialConfig(){
	if($("#report_area_extension").is(":visible") == true){ 
		step_1_2 = [
			{
				"target_class" 	: "workbar_grid",
				"text"			: "<?php echo _TUTORIAL_REP_AND_DASH_STEP_1; ?>",
				"position"		: "CL",
				"time" 			: speed
			}
		];
	} else {
		step_1_2 = [
			{
				"target_class"	: "summon-reports",
				"position"		: "T",
				"text"			: "<?php echo _TUTORIAL_REPORTS_STEP_1; ?>",
				"time" 			: speed
			},
			{
				"target_class" 	: "workbar_grid",
				"text"			: "<?php echo _TUTORIAL_REP_AND_DASH_STEP_1; ?>",
				"position"		: "CL",
				"time" 			: speed,
				"startcall"		: function(){
					$(".summon-reports").click();
				}
			}
		];
	}

	tutorial_config = step_1_2;
	tutorial_config.push(
		{
			"target_class" 	: "dashboard.report_icon:first",
			"text"			: "<?php echo _TUTORIAL_REP_AND_DASH_STEP_2; ?>",
			"position"		: "L",
			"time" 			: speed
		},
		{
			"target_class" 	: "report_options",
			"text"			: "<?php echo _TUTORIAL_REP_AND_DASH_STEP_3; ?>",
			"position"		: "L",
			"time" 			: speed,
			"startcall" 	: function(){
				$(".dashboard.report_icon:first").click();
			}
		},
		{
			"target_class" 	: "form_buttons",
			"text"			: "<?php echo _TUTORIAL_REP_AND_DASH_STEP_4; ?>",
			"position"		: "TL",
			"time" 			: speed		
		},
		{
			"target_class" 	: "workbar_grid",
			"text"			: "<?php echo _TUTORIAL_REP_AND_DASH_STEP_5; ?>",
			"position"		: "CL",
			"time" 			: (speed + 2000),
			"startcall" 	: function(){
				$("#addToDashboardAndClose").click();
			}
		},
		{
			"target_class" 	: "save-screen",
			"text"			: "<?php echo _TUTORIAL_REP_AND_DASH_STEP_6; ?>",
			"position"		: "TL",
			"adjust_left"	: -6,
			"time" 			: speed		
		},
		{
			"target_class" 	: "workbar_grid",
			"text"			: "<?php echo _TUTORIAL_REP_AND_DASH_STEP_7; ?>",
			"position"		: "CL",
			"time" 			: speed,
			"startcall" 	: function(){
				$(".save-screen").click();
			}
		},
		{
			"target_class"	: "ui-dialog-content #startup",
			"text"			: "<?php echo _TUTORIAL_REP_AND_DASH_STEP_8; ?>",
			"position"		: "TL",
			"adjust_left"	: -12,
			"adjust_top"	: 5,
			"time" 			: speed
		},		
		{
			"target_class"	: "ui-dialog-content .agree",
			"text"			: "<?php echo _TUTORIAL_REP_AND_DASH_STEP_9; ?>",
			"position"		: "R",
			"adjust_top"	: -5,
			"time" 			: speed
		},		
		{
			"target_class"	: "close-all",
			"text"			: "<?php echo _TUTORIAL_REP_AND_DASH_STEP_10; ?>",
			"position"		: "TL",
			"adjust_left"	: -6,
			"time" 			: (speed + 1000),
			"startcall"		: function(){
					$(".ui-dialog-content .agree").click();
				}
		},
		{
			"target_class"	: "workbar_grid",
			"position"		: "CL",
			"text"			: "<?php echo _TUTORIAL_REP_AND_DASH_STEP_11; ?>",
			"time" 			: speed,
			"startcall"		: function(){
				$(".close-all").click();
			}
		},
		{
			"target_class"	: "summon-reports",
			"position"		: "T",
			"text"			: "<?php echo _TUTORIAL_REPORTS_STEP_1; ?>",
			"time" 			: speed
		},
		{
			"target_class" 	: "report-category[rel='_VISITOR_DETAILS']",
			"text"			: "<?php echo _TUTORIAL_REPORTS_STEP_2; ?>",
			"position"		: "B",
			"time" 			: speed,
			"startcall"		: function(){
				$(".summon-reports").click();
			}
		},
		{
			"target_class" 	: "report_icon[type='_VISITORS_PER_DAY']",
			"text"			: "<?php echo _TUTORIAL_REPORTS_STEP_3; ?>",
			"position"		: "L",
			"time" 			: speed
		},
		{
			"target_class" 	: "report_options",
			"text"			: "<?php echo _TUTORIAL_REPORTS_STEP_4; ?>",
			"position"		: "L",
			"time" 			: speed,
			"startcall" 	: function(){
				$(".report_icon[type='_VISITORS_PER_DAY']").click();
			}
		},
		{
			"target_class" 	: "form_buttons",
			"text"			: "<?php echo _TUTORIAL_REPORTS_STEP_5; ?>",
			"position"		: "TL",
			"time" 			: speed		
		},
		{
			"target_class" 	: "workbar_grid",
			"text"			: "<?php echo _TUTORIAL_REPORTS_STEP_6; ?>",
			"position"		: "CL",
			"time" 			: speed,
			"startcall" 	: function(){
				$("#addToDashboardAndClose").click();
			}
		},
		{
			"target_class" 	: "workbar_grid",
			"text"			: "<?php echo _TUTORIAL_REPORTS_STEP_7; ?>",
			"position"		: "LT",
			"time" 			: speed		
		}
	);
}

// </script>