<?php
/* Logaholic Web Analytics software             Copyright(c) 2005-2013 Logaholic B.V.
 *                                                               All rights Reserved.
 * This code is subject to the Logaholic license. Unauthorized copying is prohibited.
 * support@logaholic.com                         http://www.logaholic.com/License.txt
*/ 
include_once("common.inc.php");
AccessCheck();

if (!isset($_REQUEST['labels'])) { die('missing required parameter'); }
if (!isset($_REQUEST['conf'])) { die('missing required parameter'); }

echo $template->HTMLheadTag();

echo "<body>";

if(!$session->canEditProfiles()) {
	echoNotice("Sorry, you don't have permissions to access this page.","width:400px;margin:0 auto;");
	exit;
}

$labels = $_REQUEST['labels'];

if(defined($labels)) {
	$clabel = $labels;
	$labels = constant($labels);
} else {
	$clabel = $get_constant[$labels];
}

if (isset($clabel) && isset($reports[$clabel])) {
	# there is a class file for this report, let's use it
	$r = new $reports[$clabel]["ClassName"]();
	$r->DefineReport();
}
?>