<?php
/* Logaholic Web Analytics software             Copyright(c) 2005-2013 Logaholic B.V.
 *                                                               All rights Reserved.
 * This code is subject to the Logaholic license. Unauthorized copying is prohibited.
 * support@logaholic.com                         http://www.logaholic.com/License.txt
*/ 
include_once('../common.inc.php');
AccessCheck();

if(!empty($conf)) {
	$downloads = $profile->GetOtherSettings("downloaded_reports","[]");
	$allocated = $profile->GetOtherSettings("allocated_reports","[]");
	
	$downloads = json_decode($downloads,true);
	$allocated = json_decode($allocated,true);
	
	if(!empty($_REQUEST['delete_download'])) {
		foreach($downloads as $download_key => $download) {
			if($_REQUEST['delete_download'] == $download) {
				unset($downloads[$download_key]);
				break;
			}
		}
		foreach($allocated as $allocated_key => $allocate) {
			if($_REQUEST['delete_download'] == $allocate) {
				unset($allocated[$allocated_key]);
				break;
			}
		}

		$uninstall_source = "{$http}://software.logaholic.com/logadl/report_delivery/UninstalReport.php";
		// $uninstall_source = "{$http}://software.logaholic.com/logadl/report_delivery/mage/UninstalReport.php";

		if(!empty($download)){
			$report = $profile->GetOtherSettings("report.{$download}","[]");
			$report = json_decode($report,true);
			if(!empty($report)) {
				$unlock_key = $report['unlock_key'];
				$productID = $report['productID'];
				echo "<script type='text/javascript'>
					var injectScript = document.createElement('script');
					injectScript.type = 'text/javascript';
					var source = '$uninstall_source';
					injectScript.src = source;
					injectScript.src += '?unlock_key={$unlock_key}';
					injectScript.src += '&product_id={$productID}';
					
					document.getElementsByTagName('head')[0].appendChild(injectScript);
				</script>";
			}
			unset($profile->other_settings["report.{$download}"]);
		}
		$downloads = json_encode($downloads);
		$allocated = json_encode($allocated);
				
		$profile->other_settings["downloaded_reports"] = $downloads;
		$profile->other_settings["allocated_reports"] = $downloads;
		$profile->SetOtherSettings();				
	}
}
?>