<?php
/* Logaholic Web Analytics software             Copyright(c) 2005-2013 Logaholic B.V.
 *                                                               All rights Reserved.
 * This code is subject to the Logaholic license. Unauthorized copying is prohibited.
 * support@logaholic.com                         http://www.logaholic.com/License.txt
*/ 
include_once("../common.inc.php");
// AccesCheck();


if(!empty($_POST['purchased'])){
	$purchased = $_POST['purchased'];
	$saveReports = array();

	if(!is_array($purchased)){
		# not an array HACK!
		exit;
	}

	# We got an array as request but we need to sort out for each profile...
	foreach ($purchased as $report) {
		$saveReports[$report['profilename']][] = $report;
	}

	foreach ($saveReports as $profilename => $posted_data) {
		$profile = new Siteprofile($profilename);

		# Get the saved settings
		$report_array = $profile->GetOtherSettings("downloaded_reports","[]");
		$report_array = json_decode($report_array);
		$allocated_reports = $profile->GetOtherSettings("allocated_reports","[]");
		$allocated_reports = json_decode($allocated_reports);

		foreach($posted_data as $data_entry) {
			if(empty($data_entry['file'])) { continue; }
			
			$data_entry['installDate'] = time();
			$profile->other_settings["report.{$data_entry['file']}"] = json_encode($data_entry);
			
			if(!in_array($data_entry['file'], $report_array)) {
				$report_array[] = $data_entry['file'];
			}
			if(!in_array($data_entry['file'], $allocated_reports)) {
				$allocated_reports[] = $data_entry['file'];
			}
		}
		$profile->other_settings["downloaded_reports"] = json_encode($report_array);
		$profile->other_settings["allocated_reports"] = json_encode($allocated_reports);
		$profile->SetOtherSettings();
	}
}
?>