<?php
/* Logaholic Web Analytics software             Copyright(c) 2005-2013 Logaholic B.V.
 *                                                               All rights Reserved.
 * This code is subject to the Logaholic license. Unauthorized copying is prohibited.
 * support@logaholic.com                         http://www.logaholic.com/License.txt
*/ 
include_once("common.inc.php");
AccessCheck();

if (!isset($_REQUEST["conf"])) { die('missing required parameter'); }

if(!isset($profile)) {
	$profile = new SiteProfile($conf);
}

$updateProgressLogLoc = $profile->datamanagerDir.$profile->profilename."/{$profile->profilename}_update_progress.lwa.log"; 
if(file_exists($updateProgressLogLoc)){
	$contents = file_get_contents($updateProgressLogLoc);
	
	if(strlen($contents) > 2500){
		$contents = substr($contents, -2500);
	}
	
	$contents = substr($contents, strpos($contents, "\n"));
	
	echo nl2br($contents);

	echo "<br/><p>[ <a target='_blank' href='readupdateprogresslog.php?conf={$profile->profilename}'>View full log</a> ]</p>";
} else {
	echo "<br/><p>[ Could not find the Progress Log... ]</p>";
}
?>