<?php
/*
**  This is a template file for a subscriptions order page.
**
**
**  Customize it as you wish, then save the file as 'templates/subscriptions.php' !!
** 
**
** 	All subscription info is available in $subscriptions array;
** 	The current subscription is also placed in a $current_subscrition array;
**	Posts with the name 'set_subscription' will change the subscription id of the user
**
*/
?>
<style type="text/css">
#subscriptions-holder{ float:left; width: 100%;}	
#subscriptions-holder h3{ margin:0px; text-align: center; }	
#subscriptions-holder .subscription{ float: left; margin:6px; width:30%; height: auto; border: 1px solid silver; padding: 5px;    }	
#subscriptions-holder .subscription .description, #subscriptions-holder .subscription .price{ text-align: center; padding: 0 20px;  }


#subscriptions-holder .subscription .commit-install *  { cursor: pointer; margin:0 auto; background-color: #2B4C74; display: block; color: #FFF; padding: 5px 10px; text-align: center; text-decoration: none; border: 1px solid #2D4F7D; border-radius: 4px; -moz-border-radius: 4px; -webkit-border-radius: 4px; }
#subscriptions-holder .subscription .commit-install:hover * { background-color: #1E75AA; }

#subscriptions-holder .subscription .report-list { font-size:11px; } 
#subscriptions-holder .subscription .block a { background-color: #EEEEEE; color: #000000; } 
#subscriptions-holder .subscription .block:hover a { background-color: #EEEEEE; }
#subscriptions-holder .report-list-hidden{ display: none; }
#subscriptions-holder .subscription-reports{ float:left; clear:both; list-style-type: none; margin: 10px; padding: 0; }
#subscriptions-holder .subscription-reports li{ background-color: #E0E0E0; border-bottom: 1px solid #C0C0C0;  border-top: 1px solid #FFFFFF;  height: 28px; line-height: 28px; padding: 0 10px; }
</style>
<?php

echo "<h2>". _SUBSCRIPTIONS ."</h2>";
echo "<p>"._YOU_HAVE.": <strong>". @$current_subscrition['name'] ."</strong>.</p>";

echo "<div id='subscriptions-holder'>";
foreach ($subscriptions as $sub) {
	echo "<div class='subscription'>";
		echo "<h3>{$sub['name']}</h3>";

		$values = $sub['value'];

		# Do we have a Description value set?		
		if(!empty($values['Description'])){
			echo "<p class='description'>{$values['Description']['value']}</p>";
		}

		# Do we have a Price value set?
		if(!empty($values['Display Price'])){
			echo "<p class='price'>&euro; {$values['Display Price']['value']} / ". _MONTH ."</p>";
		}

		$sub_reports = array();
		foreach ($values['reports'] as $reportid) {
			$sub_reports[] = json_decode($report_ids[$reportid]['value'],true);
		}


		# Change subcription
		if(!empty($current_subscrition) && $current_subscrition['name'] == $sub['name']){
			echo "<div class='commit-install block' style='text-align:center;padding:6px;'>";
				echo "<a href='#commit' style='display:inline;'>". _SUBSCRIBED ."</a>";
			echo "</div>";
		} else {
			echo "<form method='POST'><div class='commit-install'>";
				# Posts with the name set_subscription will change the subscription id of the user
				echo "<input type='hidden' name='set_subscription' value='{$sub['id']}' />";
				echo "<input type='submit' value='Subscribe' />";
			echo "</div></form>";
		}


		echo "<div class='report-list' style='clear:both;text-align:center;padding:4px;'>";
			echo "<a href='#commit'>". _VIEW_HIDE_REPORTS ."</a>";
		echo "</div>";
		echo "<ul class='subscription-reports report-list-hidden'>";
		foreach($sub_reports as $report){
			echo "<li>". constant($report['Label']) ."</li>";
		}
		echo "</ul>";

	echo "</div>";
}
echo "</div>";
?>
<script type='text/javascript'>
$(".commit-install input[type='submit']").on("click", function(){
	if(confirm("<?php echo _CONFIRM_SUBSCRIPTION; ?>")){
		// Okay go ahead and post..
	} else {
		/// Stop the procces!
		return false;
	}
});

$(".report-list").on("click", function(){
	$(this).next("ul").toggleClass("report-list-hidden");
});
</script>